Page MenuHomePhabricator

Older skins no longer bold Self links
Open, LowestPublic

Description

Current status

Bolding of self links was provided via <strong> elements until a change to MW core in 2017. Since that change, skins are required to provide styling for the self links to appear in bold.
This has been done in Vector, Monobook, Timeless (patch), CologneBlue (patch) and Modern (patch). Minerva has chosen not to bold self links (see discussion in T181472).
Other skins in Gerrit (list) should be checked, and similarly fixed if needed.

Original task description

Probably as a result of T181472: "a.mw-selflink" links miss styling and related, self links in Timeless no longer bold themselves. (They do seem to provide hover CSS however, which should probably also be removed.)

Event Timeline

Izno created this task.Apr 11 2018, 10:04 PM
Od1n added a subscriber: Od1n.Apr 12 2018, 2:51 AM

I think it is by design.

Izno added a comment.Apr 12 2018, 3:01 AM

Nope. They were bolding before the changes in that timeframe.

Od1n added a comment.Apr 12 2018, 3:08 AM

I mean that the bold removal and the underline on hover are by design ;) But I may be mistaken.

Also, you are actually referring to the Minerva skin (used on mobile), not Timeless.

Od1n added a comment.Apr 12 2018, 3:12 AM

By the way, I checked on Timeless, and the self links are blue, as regular links. That is wrong for sure.

Izno added a comment.Apr 12 2018, 3:38 AM

I mean that the bold removal and the underline on hover are by design ;) But I may be mistaken.
Also, you are actually referring to the Minerva skin (used on mobile), not Timeless.

No, I mean Timeless. Thanks.

Od1n added a subscriber: Jdlrobson.Apr 13 2018, 4:25 AM

At least, the self links shouldn't be blue, using some a:not([href]) CSS as it has been done for Minerva.

@Jdlrobson just asking, if you are interested in fixing this skin as well :)

Change 431502 had a related patch set uploaded (by Evad37; owner: Evad37):
[mediawiki/skins/Timeless@master] Fix selflink styles

https://gerrit.wikimedia.org/r/431502

TheDJ added a subscriber: TheDJ.May 9 2018, 3:59 PM

This is due to https://gerrit.wikimedia.org/r/#/c/416733/

Modern has the same problem.

TheDJ renamed this task from Self links stopped bolding to Older skins no longer bold Self links.May 9 2018, 4:14 PM
TheDJ triaged this task as Low priority.
TheDJ added a project: Modern.

Change 431502 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Fix selflink styles

https://gerrit.wikimedia.org/r/431502

Izno added a comment.Jun 2 2018, 9:16 PM

This is resolved in Timeless now, which isn't an old skin. Kind of changed the goalpost on us there @TheDJ :)

Od1n added a comment.Jun 3 2018, 12:53 AM

So, there is still Modern to fix.

Isarra added a subscriber: Isarra.Jun 17 2018, 12:18 AM

May also want to check all the other skins in gerrit...

@Ahecht this is how Minerva displays selflinks. Skins are free to style things differently :) The bold is a Vector/Monobook thing.
This bug is about skins that are display selflinks the same as normal links.

Evad37 added a subscriber: Evad37.EditedJul 12 2018, 1:35 AM

No, this particular bug is definitely about the lack of bolding (per the task title and description), which was provided via <strong> elements until a change to MW core in 2017. Mobile/Minerva does a bunch of stuff differently for various reasons, and the styling of self-links may well be one of those, but lack of bold is still a valid bug for other skins. It has been fixed in Timeless per the above merged patch, but not yet in CologneBlue or Modern.
( ...so at the very least, the bold is a Vector/Monobook/Timeless thing... )

Change 446753 had a related patch set uploaded (by Evad37; owner: Evad37):
[mediawiki/skins/CologneBlue@master] Fix selflink styles

https://gerrit.wikimedia.org/r/446753

Change 446754 had a related patch set uploaded (by Evad37; owner: Evad37):
[mediawiki/skins/Modern@master] Fix selflink styles

https://gerrit.wikimedia.org/r/446754

Change 446754 merged by jenkins-bot:
[mediawiki/skins/Modern@master] Fix selflink styles

https://gerrit.wikimedia.org/r/446754

Change 446753 merged by jenkins-bot:
[mediawiki/skins/CologneBlue@master] Fix selflink styles

https://gerrit.wikimedia.org/r/446753

Evad37 lowered the priority of this task from Low to Lowest.Jul 29 2018, 3:55 PM
Evad37 removed projects: Modern, Timeless.
Evad37 updated the task description. (Show Details)
Od1n removed a subscriber: Od1n.Aug 2 2018, 3:49 AM